/* styles_table + table heading.css */

/* টেবিলের স্টাইল */
.table {
    margin: auto;
    width: 98%;
    left: 1%;
    border-collapse: collapse;
    border: 1px solid #ddd;
    font-family: Arial, sans-serif;
    font-size: 12px;
    text-align: left;
}

/* টেবিলের বর্ডার এবং স্ট্রিপড রো */
.table-bordered {
    border: 1px solid #b9d4f5;
}

.table-striped tbody tr:nth-child(odd) {
    background-color: #f9f9f9;
}

/* অটো টেবিল স্টাইল */
.auto_table {
    width: 100%;
}

/* রেসপন্সিভ টেবিল */
.display {
    width: 100%;
    overflow-x: auto;
}

/* হেডারের সেল স্টাইল */
.table thead th {
    border: 1px solid #ddd;
    padding: 5px;
    font-size: 10px;
    text-align: center;
    vertical-align: middle;
    background-color: #b9d4f5;
    color: navy;
}

/* টেবিল বডি সেল স্টাইল */
.table tbody td {
    border: 1px solid #ddd;
    font-size: 10px;
    padding: 8px;
    text-align: center;
    vertical-align: middle;
}

/* ফুটারের স্টাইল */
.table tfoot {
    font-size: 12px;
    color: navy;
    text-align: center;
    vertical-align: middle; /* ভার্টিকাল মিডল */
}

/* ফুটারের সেল স্টাইল */
.table tfoot td {
    border-top: 2px solid #ddd;
    padding: 8px;
    text-align: center;
    vertical-align: middle; /* ভার্টিকাল মিডল */
}

/* ক্যাপশনের স্টাইল */
.table caption {
    font-size: 12px;
    font-weight: bolder;
    color: navy;
    text-align: center;
    margin-bottom: 5px;
}

/* কন্টেইনারে উচ্চতা সামঞ্জস্য করুন */
    #max_table_height {
        min-height: calc(100vh - 200px); /* উপরের অংশ বাদ দিয়ে পুরো জায়গা নিন */
        padding: 10px;
        overflow: auto;
    }


.custom-hr-old {
    position: relative;
    top: -10px;
    border: 1px solid #1319d8;
    margin-bottom: 0; /* নিচের অতিরিক্ত স্পেস বন্ধ করবে */
}

.custom-hr {
    border: 1px solid #1319d8;
    margin-top: 5px;     /* প্রয়োজনে কম বা বেশি করুন */
    margin-bottom: 0;
}



table  {
    border-collapse: collapse; /* টেবিলের সেলগুলোর মধ্যে কোনো গ্যাপ থাকবে না */
    width: 100%; /* প্রয়োজনে প্রস্থ নির্ধারণ করুন */
  }
  th, td {
    padding: 1px ! important; /* উপর-নিচ এবং ডান-বাম স্পেস নির্ধারণ */
    text-align: center;
    vertical-align: middle; /* ভার্টিকাল মিডল */
    /*border: 1px solid #ddd; /* সেলগুলোর বর্ডার */
  }

